Skip to content

Update grouped notification preferences for the current user

PATCH
/api/notification-preferences
curl --request PATCH \
--url https://api.getvespy.com/api/notification-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "preferences": [ { "emailDelivery": "immediate", "emailEnabled": true, "eventFamily": "maintenance", "inAppEnabled": true, "smsEnabled": true } ] }'
Media typeapplication/json
object
preferences
required
Array<object>
>= 1 items
Any of:
object
emailDelivery
string
Allowed values: immediate daily_digest
emailEnabled
boolean
eventFamily
string
Allowed values: maintenance compliance messaging statements payments leasing
inAppEnabled
required
boolean
smsEnabled
boolean

Default Response

Media typeapplication/json
object
preferences
required
Array<object>
object
emailDelivery
required
string
Allowed values: immediate daily_digest
emailEnabled
required
boolean
eventFamily
required
string
Allowed values: maintenance compliance messaging statements payments leasing
inAppEnabled
required
boolean
smsEnabled
required
boolean
Example
{
"preferences": [
{
"emailDelivery": "immediate",
"eventFamily": "maintenance"
}
]
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}